1

After installing security update 2016-001 whenever a remote server outputs a lot of text very fast, the SSH connection is dropped with this error message:

Corrupted MAC on input.
debug3: send packet: type 1
ssh_dispatch_run_fatal: Connection to XXX.XXX.XXX.XXX port 22: message authentication code incorrect

This happens when using an Ethernet-USB adapter only (which was fine previously,) over wifi it works fine.

  • Does your Ethernet-USB adapter use a driver? Are you using the latest one? – j-beda Sep 3 '16 at 14:57
1

It turned out to be an issue with the Ethernet adapter or its driver (TP-Link Gbit USB3 adapter.) After that update it just started dropping packets sporadically, whereas another adapter was working just fine. Unfortunately, the latest version of the driver was published in October 2015, so no fix for this one.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .